//================================================================
// EQUINOX-3D(TM) plugin
//
// - Edit selected Node, Object, PolyGroup etc
//
// AUTHOR:  Gabor Nagy
// DATE:    2019-Jun-23 20:32:33
//
// Copyright (C) 1994-2021 By Gabor Nagy. All rights reserved.
//================================================================

extern EPlugin*  _EditInfoPlugin;

extern E3dLock  _ObjectEditLock;


extern void   _Object_Edit(E3dModel* PModel, E3dObject* PObject, EIndex PLODIndex, EObject* PSubObject, EIndex PPointIndex, E3dObjectComponentClass* POpenFolderForThisComponentClass);

extern EBool  _PolyGroup_IsEdited(E3dPolyGroup* PPolyGroup);
extern void   _PolyGroup_UpdateDialog(const E3dPolyGroup* PPolyGroup);


extern void  E3dObjectEdit_Init(void);
extern void  E3dObjectEdit_Cleanup(void);

extern void  _PointSet_GUI(ECoreObject* PObject, void* PPanelIn, void* PDrawerIn, int PAction);

//--------------------------------
// EditMesh.c
//--------------------------------
extern EBool          _Edit_PolyGroupSceneCallbackAdded;
extern E3dPolyGroup*  _Edit_SelectedPolyGroup;

extern void           _EditCB_ScenePolyGroup(ECoreObject* PScn, EPointer PClientData, EPointer PCallData);
extern void           _Edit_PolyGroupPopupDialog(const E3dPolyGroup* PPolyGroup, const E3dObjectComponentClass* POpenFolderForThisComponentClass, const EBool PRaiseDialogBox);
extern void           _Mesh_GUI(ECoreObject* PObject, void* PPanel, void* PDrawer, const int PAction);
