//================================================================================================
// DESCRIPTION:	3D file saving common code
//
// AUTHOR:  Gabor Nagy
// DATE:    2018-Apr-01 23:20:27
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//================================================================================================

#define CfCVsPOSITION               0x0001
#define CfCVsPREVIOUS               0x0002
#define CfCVsNEXT                   0x0004
#define CfCVsNORMAL                 0x0008
#define CfCVsCV_FLAGS               0x0010
#define CfCVsCONSTRAINT             0x0020
#define CfCVsSEGMENT_SHAPE          0x0040
#define CfCVsSEGMENT_FLAGS          0x0080
#define CfCVsSEGMENT_NUMOFLINSTEPS  0x0100


// Material types
enum
{
	CfMaterialSIMPLE = 1,
	CfMaterialSHADEGRAPH
};