//================================================================
// E3D library
//
// OpenGL framebuffers
//
// AUTHOR:  Gabor Nagy
// DATE:    2019-Jun-23 15:14:12
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//================================================================
#ifndef _E3D_GL_FrameBuffer_h
#define _E3D_GL_FrameBuffer_h

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif


typedef struct
{
	E3dGPU2DBufferCore;

	GLuint    GLID;
} E3dOpenGL2DBuffer;


typedef struct
{
	E3dGPUFrameBufferCore;

	GLuint  GLFrameBufferID, GLPixelBufferObject;
	GLuint  GLTextureID;
} E3dOpenGLFrameBuffer;


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif

#endif	// _E3D_GL_FrameBuffer_h
