//========================================================================
// Drawing macros etc.
//
// AUTHOR:  Gabor Nagy
// DATE:    2019-Jun-23 17:33:28
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//========================================================================
#ifndef _E3D_GeometryDraw_h
#define _E3D_GeometryDraw_h


#ifndef _E3D_SplineDraw_h
#include <E3D/GL/SplineDraw.h>
#endif

#ifndef _E3D_PointSetDraw_h
#include <E3D/GL/PointSetDraw.h>
#endif

#ifndef _E3D_MeshDraw_h
#include <E3D/GL/MeshDraw.h>
#endif


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif

extern void  E3dGeometry_Draw(E3dGPUContext* PGPUContext, E3dModel* PModel, E3dGeometry* PObject,  E3dRenderer* PRenderer, const E3dDrawContext* PDrawContext, const E3dDisplayFlags PDisplayFlags,  const unsigned char POpaqueTransparent);

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"'
#endif

#endif  // _E3D_GeometryDraw_h
