//========================================================================
// Drawing macros etc.
//
// AUTHOR:  Gabor Nagy
// DATE:    2019-Jun-23 17:34:44
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//========================================================================
#ifndef _E3D_PointSetDraw_h
#define _E3D_PointSetDraw_h


#ifndef _E3D_PointSet_h
#include <E3D/PointSet.h>
#endif

#ifndef _E3D_Draw_h
#include <E3D/GL/Draw.h>
#endif


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif


//----------------------------------------
// PointSetDraw.c
//----------------------------------------
extern void  E3dGL_PointSetDraw(E3dPointSet* PPointSet);


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"'
#endif

#endif	// _E3D_PointSetDraw_h
