//================================================================
// E3D library
//
// - Interactive rendering
//
// AUTHOR:  Gabor Nagy
// DATE:    2019-Jun-23 15:14:12
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//================================================================
#ifndef _E3D_GLWindow_h
#define _E3D_GLWindow_h

#ifdef EX11
#include <GL/glx.h>
#endif

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif


typedef struct
{
	E3dGPUContextCore;

#ifdef EX11
	GLXContext  GLX_Context;
#endif
} E3dGLContext;


extern E3dGLContext*  E3dGLContext_New(void);


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif

#endif	// _E3D_GLWindow_h
