//================================================================
// E3D library
//
// Splines header file
//
// AUTHOR:  Gabor Nagy
// DATE:    2016-Dec-14 03:54:52
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//================================================================
#ifndef _E3D_SplineOps_h
#define _E3D_SplineOps_h

#ifndef _EMalloc_h
#include <EMalloc.h>
#endif

#ifndef _E3D_Spline_h
#include <E3D/Spline.h>
#endif

#ifndef _E3D_E3D_h
#include <E3D/E3D.h>
#endif


typedef struct
{
	EOperatorCore;

	E3dObject*  Object;
	E3dSpline*  Spline;
	EIndex*     CVs_Indices;EList(, E3dSplineCV, CVs);
} E3dOperatorAddDelSplineCVs;

extern EOperatorClass*  E3d_OperatorAddSplineCVs_class;
extern EOperatorClass*  E3d_OperatorDeleteSplineCVs_class;



#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif

#endif  // _E3D_SplineOps_h
