//========================================================================
// E3D library
//
// Tools
//
// AUTHOR:  Gabor Nagy
// DATE:    2014-Feb-26 23:20:06
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//========================================================================
#ifndef _E3D_Tool_h
#define _E3D_Tool_h

#ifndef _EClass_h
#include <EClass.h>
#endif

#ifndef _E3D_Types_h
#include <E3D/Types.h>
#endif


typedef struct E3dToolClass_S  E3dToolClass;
struct E3dToolClass_S
{
	ECoreClassCore(E3dTool);
};


#define E3dToolCore\
	E3dToolClass*  Class;\
	EIndex         NumOfInputs, NumOfOutputs

typedef struct
{
	E3dToolCore;
} E3dTool;


#endif  // _E3D_Tool_h
