//================================================================
// 3DPanel header file
//
// AUTHOR:  Gabor Nagy
// DATE:    2017-Mar-08 09:01:25
//
// Copyright (C) 1994-2021 By Gabor Nagy. All rights reserved.
//================================================================
#ifndef _E3D_MenuBar_h
#define _E3D_MenuBar_h


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif



typedef struct
{
	Widget    CascadeBW;
	EpImage*  Icon;
	EpImage*  IconActive;
	EpImage*  IconArm;
} E3dMenuButtonRec;



//--------------------------------
// main.c
//--------------------------------
extern void  E3dpMCB_Display_Controls(Widget PW, EPointer PClientData, EPointer PCallData);
extern void  E3dpMCB_SelectionMode(Widget PW, EPointer PClientData, EPointer PCallData);



extern E3dMenuButtonRec  E3d_MenuBarButtons[];extern EIndex  E3d_NumOfMenuBarButtons;



#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif

#endif	// _E3D_MenuBar_h
