//===============================================================================
// Xe UI toolkit
//
// XeCascadeButton
//  Public header file
//
// AUTHOR:  Gabor Nagy
// DATE:    2018-Apr-01 00:38:03
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//===============================================================================
#ifndef _XeCascadeButton_h
#define _XeCascadeButton_h

#include <Xe/Label.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif

extern XeWidgetClass                      XeCascadeButton_class;
typedef struct _XeCascadeButtonClassRec*  XeCascadeButtonClass;
typedef struct _XeCascadeButtonRec*       XeCascadeButton;

typedef struct
{
	int      Reason;

	int      ClickCount;

	XeEvent*  Event;
} XeCascadeButtonCallbackStruct;

extern void	XeCascadeButton_Highlight(Widget PW, const EBool PHighlight);

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif

#endif // _XeCascadeButton_h
