//================================================================================
// Xe UI toolkit
//
// Fonts internal header
//
// AUTHOR:  Gabor Nagy
// DATE:    2017-Jun-11 03:31:26
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//===============================================================================
#ifndef _XeFontsI_h
#define _XeFontsI_h

#ifdef XeFREETYPE
#include <ft2build.h>
#include <freetype/freetype.h>
#include FT_FREETYPE_H
#include FT_GLYPH_H
#endif

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif

typedef struct
{
	char*  Foundry;
	char*  Family;
} _XeFontFoundryAndFamily;


#ifdef XeFREETYPE
extern FT_Library  _Xe_FTLibrary;
#endif


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
} // Close scope of 'extern "C"' declaration
#endif


#endif // _XeFontsI_h
