//===============================================================================
// Xe UI toolkit
//
// XeGLDraw
//  Private header file
//
// AUTHOR:  Gabor Nagy
// DATE:    2017-May-24 03:27:34
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//===============================================================================
#ifndef _XeGLDrawP_h
#define _XeGLDrawP_h

#include <Xe/PrimitiveP.h>
#include <Xe/GLDraw.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif


//================================
// Class definition
//================================

typedef struct _XeGLDrawClassRec
{
	XeCoreClassCore;
} XeGLDrawClassRec;

extern XeGLDrawClassRec  _XeGLDrawWidget_class;


//================================
// Instance record
//================================
typedef struct _XeGLDrawRec
{
	XeWidgetCore;
} XeGLDrawRec;


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}  // Close scope of 'extern "C"' declaration
#endif

#endif  // _XeGLDrawP_h
