//===============================================================================
// Xe UI toolkit
//
// MenuButton extensions for XePushButton and XeToggleButton
//  Private header file
//
// AUTHOR:  Gabor Nagy
// DATE:    2019-Jun-23 20:51:56
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//===============================================================================
#ifndef _XeMenuButtonP_h
#define _XeMenuButtonP_h

#include <Xe/LabelP.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif

//================================
// Instance definition
//================================
// Instance part
//================================
typedef struct
{
// Resources
//
	XeString  AcceleratorText;
	char      Mnemonic;

// Private variables
//
	XeCoord2     AccelTextSize;
	XeCoord2     AccelTextPosition, AccelTextStringPosition;
} XeMenuButtonPart;


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif

#endif // _XeMenuButtonP_h
