//===============================================================================
// Xe UI toolkit
//
// XeMessageBox
//  Public header file
//
// AUTHOR:  Gabor Nagy
// DATE:    2017-Apr-26 16:11:04
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//===============================================================================
#ifndef _XeMessageBoxWidget_h
#define _XeMessageBoxWidget_h

#include <Xe/Manager.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif


extern XeWidgetClass                     XeMessageBoxWidget_class;
typedef struct _XeMessageBoxClassRec*  XeMessageBoxWidgetClass;
typedef struct _XeMessageBoxRec*       XeMessageBoxWidget;

extern Widget  Xe_MessageBoxGetChild(Widget PW, const int PChild);


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
} // Close scope of 'extern "C"' declaration
#endif

#endif // _XeMessageBoxWidget_h
