//========================================================================
// Color library header file
//
// AUTHOR:  Gabor Nagy
// DATE:    2017-Mar-08 10:26:29
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//========================================================================
#ifndef	_EColor_Spectrum_h
#define	_EColor_Spectrum_h

#include <Color/Color.h>
#include <E3D/Spline.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif

extern void  Ec_SampleCIE(const EcCIEEntry* PCIE, const int PTotalCIECount, const float PWavelengthMin, const float PWavelengthMax, const int PNSpectralSamples,  float* PSpectralToR, float* PSpectralToG, float* PSpectralToB,  E3dSpline* PSplineR, E3dSpline* PSplineG, E3dSpline* PSplineB);

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif

#endif // _EColor_Spectrum_h
