//================================================================
// E3D library
//
// - Plugins
//
// AUTHOR:  Gabor Nagy
// DATE:    2017-Feb-05 00:46:11
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//================================================================
#ifndef _E3D_Plugins_h
#define _E3D_Plugins_h

#include <EPlugins.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif

extern EListA(, EPlugin, E3d_Plugins);

extern int     E3d_PluginLoad(void* PItems, const int PNumOfItems, void* PItem, const char* PPathName, void* PTmpData);
extern int     E3d_PluginsLoad(const char* PPath, const char* PFileName);
extern void    E3d_PluginsUnlock(void);
extern void    E3d_PluginsUnload(void);

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif

#endif	// _E3D_Plugins_h
