//================================================================
// E3D library
//
// TimePanel
//
// AUTHOR:  Gabor Nagy
// DATE:    2014-Feb-25 20:38:25
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//================================================================
#ifndef _E3D_TimePanel_h
#define _E3D_TimePanel_h


#include <Image/TimePanel.h>


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif



extern EtTimePanel*    E3dp_TimePanel;

extern void            E3dp_TimePanelOnOff(E3dPanel* P3DPanel, const EBool PSwitch, const EBool PSwitchExt);

extern unsigned int    E3dp_AnimationCallWithCurrentFrame(E3dAnimation* PAnimation);
extern unsigned int    E3dScene_SetCurrentFrame(E3dScene* PScene, const double PFrame);


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif

#endif	// _E3D_TimePanel_h
