//===============================================================================
// Xe UI toolkit
//
// XeArrowButton
//  Public header file
//
// AUTHOR:  Gabor Nagy
// DATE:    2018-Apr-01 22:01:57
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//===============================================================================
#ifndef _XeArrowButtonWidget_h
#define _XeArrowButtonWidget_h

#include "Xe.h"
#include "Primitive.h"

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif


extern XeWidgetClass                 XeArrowButtonWidget_class;
typedef struct _XeArrowButtonClass*  XeArrowButtonWidgetClass;
typedef struct _XeArrowButtonRec*    XeArrowButtonWidget;

typedef struct
{
	int       Reason;
	XeEvent*  Event;
	int       ClickCount;
} XeArrowButtonCallbackStruct;


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif

#endif // _XeArrowButtonWidget_h
