//================================================================
// Xe UI toolkit
//
// Color selecting dialog box public header file
//
// AUTHOR:  Gabor Nagy
// DATE:    2017-Jun-02 09:36:49
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//================================================================
#ifndef _XeColorDialog_h
#define _XeColorDialog_h

#include <Color/Panel.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif

extern Widget  Xe_ColorDialogCreate(const char* PTitle, Widget PParentW, int PColorType, EBool PEditAlpha, void (*PColorChangedCallback)(EcColorPanel*, EPointer, EPointer), EPointer PColorChangedClientData,  EcColorPanel** PColorPanelRet);

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif

#endif	// _XeColorDialog_h
