//================================================================================
// Xe UI toolkit
//
// Composite Widget:  the base class for all Widgets with children.
// Constraint Widget: composite Widget with geometry management
// Public header file.
//
// AUTHOR:  Gabor Nagy
// DATE:    2017-Aug-25 01:42:30
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//===============================================================================
#ifndef _XeComposite_h
#define _XeComposite_h


// Composite Widget
//
typedef struct _XeCompositeRec*          XeCompositeWidget;

typedef struct _XeCompositeWidgetClass*  XeCompositeWidgetClass;

#ifndef VMS
externalref XeWidgetClass  XeCompositeWidget_class;
#endif


// Constraint Widget
//
typedef struct _XeConstraintClassRec*    XeConstraintWidgetClass;

typedef int (*XeOrderProc)(Widget PW);

#ifndef VMS
externalref XeWidgetClass  XeConstraintWidget_class;
#endif

#endif  // _XeComposite_h
