//================================================================
// Xe UI toolkit
//
// - Connection dialog private header file
//
// AUTHOR:  Gabor Nagy
// DATE:    2017-Jun-02 09:48:14
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//================================================================

#ifndef _ConnectionDP_h
#define _ConnectionDP_h

#include <Xe/Dialog.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif


//-----------------------------
// Instance
//-----------------------------
typedef struct
{
	XeDialogCore;

	Widget        ArrowW, LabelW0, TextW0, LabelW1, TextW1, ListW;
	const char**  ConnectionMessages;
	EBool         ShowAddress;
} XeConnectionDialog;


extern void  _Xe_CreateConnectionDialog(Widget PDialogW, const char** PConnectionMessages, const EIndex PHostListVisibleItemCount);


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration
#endif


#endif	// _ConnectionDP_h
