//===============================================================================
// Xe UI toolkit
//
// XeLabel
//  Public header file
//
// AUTHOR:  Gabor Nagy
// DATE:    2017-Apr-26 16:03:20
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//===============================================================================
#ifndef _XeLabelWidget_h
#define _XeLabelWidget_h

#include <Xe/Xe.h>
#include <Xe/Primitive.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif


extern XeWidgetClass              XeLabelWidget_class;
typedef struct _XeLabelClassRec*  XeLabelWidgetClass;
typedef struct _XeLabelRec*       XeLabelWidget;


extern void  XeLabel_SetStringBinary(Widget LLabelW,  const XeStringBinarySegment* PSegments, const int PNumOfSegments);

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
} // Close scope of 'extern "C"' declaration
#endif

#endif // _XeLabelWidget_h
