//===============================================================================
// Xe UI toolkit
//
// XeLayout
//  Public header file
//
// AUTHOR:  Gabor Nagy
// DATE:    2017-Aug-24 22:35:55
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//===============================================================================
#ifndef _XeLayoutWidget_h
#define _XeLayoutWidget_h

#include "Xe.h"

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif


extern XeWidgetClass               XeLayoutWidget_class;
typedef struct _XeLayoutClassRec*  XeLayoutWidgetClass;
typedef struct _XeLayoutRec*       XeLayoutWidget;

typedef void  (*XePreferredSizeProc)(XeLayoutWidget PEW, XeWidgetGeometry* PGeo);
typedef void  (*XeLayoutProc)(XeLayoutWidget PEW,  const int PSizeX, const int PSizeY);


extern void  Xe_LayoutUpdateChildren(Widget PW);


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
} // Close scope of 'extern "C"' declaration
#endif

#endif // _XeLayoutWidget_h
