//===============================================================================
// Xe UI toolkit
//
// XeVkDraw
//  Private header file
//
// AUTHOR:  Gabor Nagy
// DATE:    2019-Jun-23 03:27:34
//
// Copyright (C) 1994-2021 by Gabor Nagy. All rights reserved.
//===============================================================================
#ifndef _XeVkDrawP_h
#define _XeVkDrawP_h

#include <Xe/PrimitiveP.h>
#include <Xe/VkDraw.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif


//================================
// Class definition
//================================

typedef struct _XeVkDrawClassRec
{
	XeCoreClassCore;
} XeVkDrawClassRec;

extern XeVkDrawClassRec  _XeVkDrawWidget_class;


//================================
// Instance record
//================================
typedef struct _XeVkDrawRec
{
	XeWidgetCore;
} XeVkDrawRec;


#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}  // Close scope of 'extern "C"' declaration
#endif

#endif  // _XeVkDrawP_h
