#ifndef _ConvertI_h
#define _ConvertI_h

#ifdef __cplusplus
extern "C" {
#endif

// Representation types

extern	XrmQuark  _XtQString;

// Resource conversions

extern void _XtAddDefaultConverters(XeConverterTable PTable);

extern void _XtSetDefaultConverterTable(XeConverterTable* PTable);

extern void _XtFreeConverterTable(XeConverterTable PTable);

extern void _XtTableAddConverter(XeConverterTable PTable, XrmRepresentation PFromType, XrmRepresentation PToType,
    XeTypeConverter PConverter, XeConvertArgList PConvertArgs, Cardinal PNumArgs,
    const EBool PNewStyle, XeCacheType PCache_type, XeDestructor PDestructor, const EBool PGlobal);

extern EBool _XtConvert(Widget PW, XrmRepresentation PFromType, XeSizeAddr* PFrom, XrmRepresentation PToType, XeSizeAddr* PTo, XeCacheRef* PCacheRefRet);

extern void  _XtConvertInitialize(void);

#ifdef __cplusplus
}	// Close scope of 'extern "C"' declaration
#endif

#endif	// _ConvertI_h
